Package org.globus.rsl

# Class ASCII_CharStream

java.lang.Object
org.globus.rsl.ASCII_CharStream

public final class ASCII_CharStream extends Object
An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`bufpos`
`static final boolean`
`staticFlag`

## Constructor Summary

Constructors
Constructor
Description
`ASCII_CharStream(InputStream dstream, int startline, int startcolumn)`
`ASCII_CharStream(InputStream dstream, int startline, int startcolumn, int buffersize)`
`ASCII_CharStream(Reader dstream, int startline, int startcolumn)`
`ASCII_CharStream(Reader dstream, int startline, int startcolumn, int buffersize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`adjustBeginLineColumn(int newLine, int newCol)`
Method to adjust line and column numbers for the start of a token.
`final void`
`backup(int amount)`
`final char`
`BeginToken()`
`void`
`Done()`
`final int`
`getBeginColumn()`
`final int`
`getBeginLine()`
`final int`
`getColumn()`
Deprecated.
`final int`
`getEndColumn()`
`final int`
`getEndLine()`
`final String`
`GetImage()`
`final int`
`getLine()`
Deprecated.
`final char[]`
`GetSuffix(int len)`
`final char`
`readChar()`
`void`
`ReInit(InputStream dstream, int startline, int startcolumn)`
`void`
`ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)`
`void`
`ReInit(Reader dstream, int startline, int startcolumn)`
`void`
`ReInit(Reader dstream, int startline, int startcolumn, int buffersize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### staticFlag

public static final boolean staticFlag

See Also:
  - Constant Field Values

### bufpos

public int bufpos

## Constructor Details

### ASCII_CharStream

public ASCII_CharStream(Reader dstream, int startline, int startcolumn, int buffersize)

### ASCII_CharStream

public ASCII_CharStream(Reader dstream, int startline, int startcolumn)

### ASCII_CharStream

public ASCII_CharStream(InputStream dstream, int startline, int startcolumn, int buffersize)

### ASCII_CharStream

public ASCII_CharStream(InputStream dstream, int startline, int startcolumn)

## Method Details

### BeginToken

public final char BeginToken() throws IOException

Throws:
  `IOException`

### readChar

public final char readChar() throws IOException

Throws:
  `IOException`

### getColumn

public final int getColumn()
Deprecated.

See Also:
  - `getEndColumn()`

### getLine

public final int getLine()
Deprecated.

See Also:
  - `getEndLine()`

### getEndColumn

public final int getEndColumn()

### getEndLine

public final int getEndLine()

### getBeginColumn

public final int getBeginColumn()

### getBeginLine

public final int getBeginLine()

### backup

public final void backup(int amount)

### ReInit

public void ReInit(Reader dstream, int startline, int startcolumn, int buffersize)

### ReInit

public void ReInit(Reader dstream, int startline, int startcolumn)

### ReInit

public void ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)

### ReInit

public void ReInit(InputStream dstream, int startline, int startcolumn)

### GetImage

public final String GetImage()

### GetSuffix

public final char[] GetSuffix(int len)

### Done

public void Done()

### adjustBeginLineColumn

public void adjustBeginLineColumn(int newLine, int newCol)
Method to adjust line and column numbers for the start of a token.